shop_price:
   tableName: shop_price
   tableType:
     engine: innoDB
     charset: utf8
   actAs: [Timestampable]
   columns:
     id:
       type: integer
       unsigned: true
       notnull: true
       primary: true
       sequence: shop_price_id
     lang:
       type: char(3)
       index: true
     id_group:
       type: integer
       unsigned: true
       index: true
     id_analog:
       type: string(40)
       default: NULL
     code:
       type: string(40)
       unique: true
     article:
       type: string(40)
       index: true
     name:
       type: string(125)
     price:
       type: float(10,2)
       default: 0.00
     img:
       type: string(40)
     note:
       type: text
     text:
       type: text
     presence_count:
       type: integer
       default: -1
     price_opt:
       type: float(10,2)
       notnull: true
     price_opt_corp:
       type: float(10,2)
       notnull: true
     bonus:
       type: float(10,2)
       notnull: true
     curr:
       type: char(3)
       notnull: true
       default: 'RUR'
     presence:
       type: string(125)
     nds:
       type: float(5,2)
     manufacturer:
       type: string(125)
     date_manufactured:
       type: date
     max_discount:
       type: float(5,2)
     measure:
       type: string(50)
     volume:
       type: integer
       unsigned: true
     weight:
       type: integer
       unsigned: true
     id_action:
       type: integer
       unsigned: true
     marka:
       type: string(127)
     app_models:
       type: string(127)
     orig_numbers:
       type: string(255)
     special_price:
       type: enum
       values: ['Y','N']
       notnull: true
       default: 'Y'
     discount:
       type: enum
       values: ['Y','N']
       notnull: true
       default: 'Y'
     flag_new:
       type: enum
       values: ['Y','N']
       notnull: true
       default: 'N'
     flag_hit:
       type: enum
       values: ['Y','N']
       notnull: true
       default: 'N'
     enabled:
       type: enum
       values: ['Y','N']
       notnull: true
       default: 'Y'
   relations:
     shop_group:
       local: id_group
       foreign: id
       onDelete: CASCADE
       onUpdate: CASCADE